 //@ sourceURL=tabPrestacionServicioBeneficiario.js
jQuery(function($){

	
	initRupI18nPromise.then(function() {
				
		$("#tabPrestacionServicio_form_feedback").rup_feedback ({
			type: "ok",
			delay: 3000,
			fadeSpeed: 500,
			block: false
		});
				
		prepareData();
		initControDeEstado();
	});
	
	const initControDeEstado = () => {
		
		if(isSoloLecturaDatosBeneficiarios){

			$("input").prop('disabled', true);
			
			// Habilitar los campos de los filtros
			$("input[id$='filter_table']").prop('disabled', false);
			
			
//			if(isEditableDatosBeneficiariosPS){
//				$("#altoRiesgo08_filter_table").enable()
//			}
			
		}/*else if(isAdmin && !tieneExpAbierto && !esBajaSolicitante) {
			$("#altoRiesgo08_detail_table").enable();			
		}*/
		
		
	}
	
	function prepareData(){
	
		Ad74aUtils.hacerPlegable();
		
		$("#nivelSoporte08_tabPrestacionSevicio_detail_table").rup_combo({
			loadFromSelect:true,
			width: 'auto',
	        ordered: false,
			customClasses: ['select-material'],
			rowStriping: true,
			disabled : true,
			blank: null,
			onLoadSuccess: () => {
				/*if(isAdmin && !tieneExpAbierto && !esBajaSolicitante) {
					$("#nivelSoporte08_tabPrestacionSevicio_detail_table").rup_combo("enable");
				}*/
			},
			selected: () => {				
				//return $("#nivelSoporte08_tabPrestacionSevicio_detail_table").val();
			}
		});
		
		
		$("#nivelSuicidio08_tabPrestacionSevicio_detail_table").rup_combo({
			loadFromSelect:true,
			width: 'auto',
	        ordered: false,
			customClasses: ['select-material'],
			rowStriping: true,
			disabled : true,
			blank: null,
			onLoadSuccess: () => {
				/*if(isAdmin && !tieneExpAbierto && !esBajaSolicitante) {
					$("#nivelSuicidio08_tabPrestacionSevicio_detail_table").rup_combo("enable");
				}*/
			},
			selected: () => {
				//return $("#nivelSuicidio08_tabPrestacionSevicio_detail_table").val();
			}
		});
		
		$("#nivelMaltrato08_tabPrestacionSevicio_detail_table").rup_combo({
			loadFromSelect:true,
			width: 'auto',
	        ordered: false,
			customClasses: ['select-material'],
			rowStriping: true,
			disabled : true,
			blank: null,
			onLoadSuccess: () => {
				/*if(isAdmin && !tieneExpAbierto && !esBajaSolicitante) {
					$("#nivelMaltrato08_tabPrestacionSevicio_detail_table").rup_combo("enable");
				}*/
			},
			selected: () => {
				//return $("#nivelMaltrato08_tabPrestacionSevicio_detail_table").val();
			}
		});
		
		$("#idMotivoBaja01_tabPrestacionSevicio_detail_table").rup_combo({
			loadFromSelect:true,
			width: 'auto',
	        ordered: false,
			customClasses: ['select-material'],
			rowStriping: true,
			disabled : true,
			blank: null,
			onLoadSuccess: () => {
				/*if(isAdmin && !tieneExpAbierto && !esBajaSolicitante) {
					$("#idMotivoBaja01_tabPrestacionSevicio_detail_table").rup_combo("enable");
				}*/
			},
			selected: () => {
				//return $("#idMotivoBajaUltimaSol_tabPrestacionSevicio_detail_table").val();
			}
		});
		$('#fBaja01_tabPrestacionSevicio_detail_table').rup_date({
			mask: 'dd/mm/yyyy',
			showButtonPanel : true,
			showOtherMonths : true,
			noWeekend : true,
			disabled: false
		});
		$("#fBaja01_tabPrestacionSevicio_detail_table").change( function(){
			$("#idMotivoBaja01_tabPrestacionSevicio_detail_table").rup_combo("enable");
		});
		
		$('#fBeneficiario01_tabPrestacionSevicio_detail_table').rup_date({
			mask: 'dd/mm/yyyy',
			showButtonPanel : true,
			showOtherMonths : true,
			noWeekend : true,
			disabled: false
		});
		$('#fBeneficiario01_tabPrestacionSevicio_detail_table').attr("disabled", !(isAdmin && !tieneExpAbierto && !esBajaSolicitante));		
		
		$('#fAltaTeleasistencia01_tabPrestacionSevicio_detail_table').rup_date({
			mask: 'dd/mm/yyyy',
			showButtonPanel : true,
			showOtherMonths : true,
			noWeekend : true,
			disabled : false
		});
		$('#fAltaTeleasistencia01_tabPrestacionSevicio_detail_table').attr("disabled", !(isAdmin && !tieneExpAbierto && !esBajaSolicitante));
		
		$('#fBaja01_tabPrestacionSevicio_detail_table').rup_date({
			mask: 'dd/mm/yyyy',
			showButtonPanel : true,
			showOtherMonths : true,
			noWeekend : true,
			disabled : false
		});
		$('#fBaja01_tabPrestacionSevicio_detail_table').attr("disabled", !(isAdmin && !tieneExpAbierto && !esBajaSolicitante));
		
		$('#fRetirada01_tabPrestacionSevicio_detail_table').rup_date({
			mask: 'dd/mm/yyyy',
			showButtonPanel : true,
			showOtherMonths : true,
			noWeekend : true,
			disabled : true
		});
		$('#fRetirada01_tabPrestacionSevicio_detail_table').attr("disabled", !(isAdmin && !tieneExpAbierto && !esBajaSolicitante));
		
		$("input[name='_valoraciones.altoRiesgo08']").remove();
		
		$("#tabPrestacionSevicio_guardar").unbind("click");
		$("#tabPrestacionSevicio_guardar").attr("disabled", true);
		if((isDSS || isAdmin) && !tieneExpAbierto && !esBajaSolicitante) {		
			$("#tabPrestacionSevicio_guardar").attr("disabled", false);
			$("#tabPrestacionSevicio_guardar").on("click", function(){
				if($("#tabPrestacionSevicio_form").valid()){
					
					
					Ad74aUtils.cerrarFeedbacks();
					$("#tabPrestacionSevicio_form").rup_validate("resetElements");
					let data = {};
					data = $("#tabPrestacionSevicio_form").rup_form("formToJson");
					
					
					const msgErrorInicio = "<ul class='rup-maint_feedbackUL'><br/>";
					const msgErrorFin = '</ul>';
					let msgError = '';
					
					if(msgError == ''){
						$.rup_ajax({
							type:  "PUT",
							url: $.rup.CTX_PATH + 'solicitantes/edit',
							data: JSON.stringify(data),
							contentType: 'application/json',
							beforeSend: function(){
								Ad74aUtils.cerrarFeedbacks();
								Ad74aUtils.bloquearInterfaz();
							},
							success: function(res){
								$("#tabPrestacionServicio_form_feedback").rup_feedback('set',$.rup.i18n.app.feedback.modificadoOK,'ok');
								
								// Actualizar el id del riesgo y del soporte por si se han creado nuevo bien pq no existía bien pq se ha pasado a histórico el anterior
								const data = JSON.parse(res);
								$("#idRiesgo21").val(data.riesgo.idRiesgo21);
								$("#idSoporte22").val(data.soporte.idSoporte22);
							},
							error: function(error){
								$("#tabPrestacionServicio_form_feedback").rup_feedback('set',error.responseText,"error");
							},
							complete: function(){
								Ad74aUtils.desBloquearInterfaz();
							}
						});
					}else{
						
						$("#tabPrestacionServicio_form_feedback").rup_feedback('set',msgErrorInicio+msgError+msgErrorFin,"error");
					}
					
				}
				
			});
		}
		    
	    $("#tabPrestacionSevicio_cancel").on("click", function(){
	    	window.location.href = $.rup.CTX_PATH + "solicitantes/maint";	    	
	    });
		    
		
	}
	
			
	
});